Bug 85800 - Printing russian text with lpr russian.txt produces garbage on the paper
Printing russian text with lpr russian.txt produces garbage on the paper
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: cups (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-07 16:29 EST by Markus Bertheau
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:29:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A file with some russian text in it. (84 bytes, text/plain)
2003-03-07 17:25 EST, Markus Bertheau
no flags Details

  None (edit)
Description Markus Bertheau 2003-03-07 16:29:04 EST
I created a file with russian text in it and printed it from a terminal with

lpr русски.txt

Out came this:

Привет!
 
Меня зовут Маркус и я живу в Берлине.

Which looks like UTF-8 interpreted as iso-8859-1.
Comment 1 Tim Waugh 2003-03-07 16:35:13 EST
What encoding is the original file?
Comment 2 Markus Bertheau 2003-03-07 16:55:58 EST
UTF-8
Comment 3 Markus Bertheau 2003-03-07 17:03:43 EST
Oops, that status change was unintentional.
Comment 4 Tim Waugh 2003-03-07 17:05:56 EST
Could you attach it please?  Thanks.
Comment 5 Markus Bertheau 2003-03-07 17:25:16 EST
Created attachment 90522 [details]
A file with some russian text in it.
Comment 6 Bill Nottingham 2006-08-04 23:11:53 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 8 Bill Nottingham 2007-01-02 13:29:05 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.